# Debugging

### Start at the Helper File

The helper file is typically your first place to start your debugging. Every hook script call will have a record entry. If it does not then the issue is before the FMS.

| Symptom                                         | Possible Causes                                                                                                                                                                                                 |
| ----------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| No Helper File record for any hooks             | <ul><li>Credentials in the BF app do not match</li><li>Incorrect Server Settings</li></ul>                                                                                                                      |
| Hook Runs from the helper file but not from web | <ul><li>Access priv of the BetterForms user vs your admin creds.</li><li>A script step you are running is not supported by CWP. Note CWP script engine is not the same as the FMS PSOS script engine.</li></ul> |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.klai.studio/v1/usage/troubleshooting/debugging.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
